Bug 1947446 - F34 plasma theming should use new BreezeTwilight
Summary: F34 plasma theming should use new BreezeTwilight
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-settings
Version: 34
Hardware: Unspecified
OS: Unspecified
urgent
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException RejectedBlocker
Depends On:
Blocks: F34FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-04-08 13:45 UTC by Rex Dieter
Modified: 2021-04-17 22:12 UTC (History)
12 users (show)

Fixed In Version: kde-settings-34.2-1.fc34 kde-settings-34.4-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-17 22:12:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Rex Dieter 2021-04-08 13:45:55 UTC
Per recent discussions with adamw, highlighted some autoqa theming issues that BreezeTwilight lookandfeel isn't being used completely.  One example,
https://openqa.fedoraproject.org/tests/848882#step/desktop_terminal/3

Comment 1 Neal Gompa 2021-04-08 13:50:06 UTC
This is a severe visual style bug, because our Fedora theme isn't being properly respected.

Comment 2 Fedora Blocker Bugs Application 2021-04-08 13:52:39 UTC
Proposed as a Blocker for 34-final by Fedora user ngompa using the blocker tracking app because:

 This violates the criteria that critical path package (containing the visual style settings) is working properly. This cannot be fixed in an update because the settings will not apply post-installation from the media.

Comment 3 Fedora Update System 2021-04-08 14:44:19 UTC
FEDORA-2021-9b396d2e84 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9b396d2e84

Comment 4 Fedora Update System 2021-04-08 19:06:56 UTC
FEDORA-2021-9b396d2e84 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9b396d2e84`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9b396d2e84

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Adam Williamson 2021-04-08 21:58:33 UTC
"This violates the criteria that critical path package (containing the visual style settings) is working properly"

The actual requirement is this:

"A bug in a Critical Path package that:

    Cannot be fixed with a future stable update
    Has a severity rating of high or greater and no reasonable workaround (see definition of severity and priority)"

the 'definition of severity and priority' link goes to https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow#Priority_and_Severity , which states:

* Urgent: the bug makes whole system unusable (or it is a security bug, which is per definition urgent)
* High: the bug makes the program in question unusable, or a major packaging guideline violation (license problem, bundled library, etc)
* Medium: a real bug which makes program more difficult to use, at least part of the program is available; possibly workarounds are available
* Low: anything else - cosmetic issues, corner cases with unusual (non-default) configurations, etc.

This is clearly 'low', as a "cosmetic issue".

Comment 6 Adam Williamson 2021-04-09 18:52:07 UTC
There are +3 FE votes in https://pagure.io/fedora-qa/blocker-review/issue/341 , so marking as accepted FE. Blocker vote is at -2 currently, not enough votes to call it yet.

Comment 7 František Zatloukal 2021-04-12 16:29:31 UTC
Discussed during the 2021-04-12 blocker review meeting: [1]

The decision to classify this bug as an RejectedBlocker was made:

"This does not violate any of the criteria as currently formulated. Note: already accepted as a freeze exception issue."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2021-04-12/f34-blocker-review.2021-04-12-16.02.log.txt

Comment 8 Fedora Update System 2021-04-13 01:34:21 UTC
FEDORA-2021-9b396d2e84 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Adam Williamson 2021-04-15 23:32:14 UTC
It looks like the initial fix for this didn't entirely work. Re-opening so we can mark the new build as fixing it.

Comment 10 Fedora Update System 2021-04-15 23:32:39 UTC
FEDORA-2021-e5278891de has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e5278891de

Comment 11 Fedora Update System 2021-04-17 22:12:10 UTC
FEDORA-2021-e5278891de has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.